#ifndef __IRDEQUE_H__
#define __IRDEQUE_H__

#include "linkedlist.h"

class irdeque {
    public:
        linkedlist l;
        bool addToIRDequeLeft(int id);
        bool removeFromIRDequeLeft();
        bool removeFromIRDequeRight();
        int showTopOfIRDequeLeft();
        int showTopOfIRDequeRight();
        int showSizeOfIRDeque();
        bool in_irdeque(int id);
};
#endif
